
package cn.com.qmth.examcloud.core.oe.admin.api.controller;

import cn.com.qmth.examcloud.core.oe.admin.service.ExamWarnService;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.examwarn.ExamWarnInfo;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@Api(tags = "考试记录异常信息相关接口")
@RequestMapping("${$rmp.ctr.oe}/exam/warn")
public class ExamWarnController extends ControllerSupport {

    @Autowired
    private ExamWarnService examWarnService;

    @PostMapping("/list")
    @ApiOperation(value = "获取考试记录异常信息列表")
    public List<ExamWarnInfo> list(@RequestParam Long examRecordDataId) {
        return examWarnService.list(examRecordDataId);
    }

}
