package cn.com.qmth.examcloud.core.oe.admin.dao;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamWarnEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ExamWarnRepo extends JpaRepository<ExamWarnEntity, Long>, JpaSpecificationExecutor<ExamWarnEntity> {

    List<ExamWarnEntity> findByExamRecordDataId(Long examRecordDataId);

}
