package cn.com.qmth.examcloud.core.oe.admin.service;

import cn.com.qmth.examcloud.api.commons.security.bean.UserDataRule;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.examrecord.ExamRecordInfo;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.examrecord.ExamRecordQuery;
import org.springframework.data.domain.Page;

import java.util.List;

public interface ExamRecordDetailService {

    /**
     * 查询“考试明细”列表(分页)
     */
    Page<ExamRecordInfo> getExamRecordDetailList(ExamRecordQuery query, UserDataRule courseRule, UserDataRule orgRule);

    /**
     * 查询“考试明细”列表(导出Excel)
     */
    List<ExamRecordInfo> getExamRecordDetailListForExport(ExamRecordQuery query, UserDataRule courseRule, UserDataRule orgRule);

}
