package cn.com.qmth.examcloud.core.oe.admin.service;

import cn.com.qmth.examcloud.api.commons.security.bean.UserDataRule;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.examaudit.ExamAuditExcel;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.examaudit.ExamAuditInfo;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.examaudit.ExamAuditQuery;
import org.springframework.data.domain.Page;

import java.util.List;

public interface ExamRecordIllegallyService {

    /**
     * 查询“违纪名单”列表(分页)
     */
    Page<ExamAuditInfo> getExamRecordIllegallyList(ExamAuditQuery query, UserDataRule courseRule, UserDataRule orgRule);

    /**
     * 查询“违纪名单”列表(导出Excel)
     */
    List<ExamAuditExcel> getExamRecordIllegallyListForExport(ExamAuditQuery query, UserDataRule courseRule, UserDataRule orgRule);

}
